From bb6fc3541af12ba383187eb3a213091400570fee Mon Sep 17 00:00:00 2001
From: MatheusMello <mat.mello93@gmail.com>
Date: Oct 31 2017 15:10:14 +0000
Subject: [PATCH 1/3] Fixing bug in Search and Auto refresh integration


Signed-off-by: MatheusMello <mat.mello93@gmail.com>
Signed-off-by: Maxwell Oliveira  <maxwell_oliveira2@hotmail.com>

---

diff --git a/src/components/package/List.vue b/src/components/package/List.vue
index 063edc1..6112b4c 100644
--- a/src/components/package/List.vue
+++ b/src/components/package/List.vue
@@ -72,8 +72,10 @@ export default {
       })
     },
     updateTable () {
+      let filter = window.$('#searchInput').val()
+
       this.notUpdating = false
-      this.fetchPackages().then(async response => {
+      this.fetchPackages(filter).then(async response => {
         this.showAlert(response)
         setTimeout(() => {
           this.notUpdating = true
@@ -101,7 +103,7 @@ export default {
   },
   created () {
     this.updateTable()
-    this.timer = setInterval(this.updateTable, 10000)
+    this.timer = setInterval(this.updateTable, 100000000000)
   },
   beforeDestroy () {
     clearInterval(this.timer)
diff --git a/src/components/package/Search.vue b/src/components/package/Search.vue
index f6098f1..37d55f5 100644
--- a/src/components/package/Search.vue
+++ b/src/components/package/Search.vue
@@ -14,7 +14,7 @@
         <div class="col-md-3"></div>
         <div class="col-md-6 text-center">
           <div class="wrapper">
-            <input v-model="term" placeholder="Find packages..." type="text" />
+            <input id="searchInput" v-model="term" placeholder="Find packages..." type="text" />
             <a href="">
               <icon class="search-icon" name="search" scale="1.5"></icon>
             </a>
@@ -55,7 +55,6 @@ export default {
       actionTypes.FETCH_PACKAGES
     ]),
     showPackage () {
-      // show the analysis here
     }
   },
   created () {

